<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Xarxaprod_theme
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'xarxaprod' ); ?></a>

	<header id="masthead" class="site-header">
    <div class="main">
	  	<div class="site-branding">
	  		<?php
        // the_custom_logo();
       // https://developer.wordpress.org/reference/functions/the_custom_logo/#comment-2037
        if( has_custom_logo() ): 
					$image = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' );
        ?>
				 <a href="<?php echo site_url(); ?>" title="<?php echo get_bloginfo('name') . ' // ' . get_bloginfo('description'); ?>" class="custom-logo-link"><img class="custom-logo" src="<?php echo esc_url( $image[0] ); ?>" /></a>
        <?php
				endif;	
	  		if ( is_front_page() && is_home() ) :
	  			?>
	  			<h1 class="site-title"><a href="https://xarxaprod.cat" title="Xarxa d&rsquo;espais de procucció i creació de Catalunya">Xarxaprod</a></h1>
	  			<?php
	  		else :
	  			?>
	  			<p class="site-title"><a href="https://xarxaprod.cat" title="Xarxa d&rsquo;espais de procucció i creació de Catalunya">Xarxaprod</a></p>
	  			<?php
	  		endif;
	  		$xarxaprod_description = get_bloginfo( 'description', 'display' );
	  		if ( $xarxaprod_description || is_customize_preview() ) :
	  			?>
	  			<p class="site-description"><?php echo $xarxaprod_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
	  		<?php endif; ?>
	  	</div><!-- .site-branding -->

	  	<nav id="site-navigation-main" class="main-navigation">
				<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
          <?php esc_html_e( 'Menu', 'xarxaprod' ); ?>
        </button>
        <section class="main-navigation-content">
	  		<?php
	  		wp_nav_menu(
	  			array(
	  				'theme_location' => 'menu-1',
	  				'menu_id'        => 'primary-menu',
	  			)
	  		);
?>
        </section>
	  	</nav><!--primary #site-navigation -->
		</div>
		<div class="secondary">
<?php
//		  <nav id="site-navigation-secondary" class="site-navigation secondary-navigation toggle-secondary-navigation">
//        <legend class="hide-content">menu</legend>
//        <input id="hide-menu-mobile" class="hide-not-mobile toggle" name="toggle" type="radio">
//        <label for="show-menu-mobile" class="hide-not-mobile toggle-show"><span class="hide-content">open</span></label>
//        <input id="show-menu-mobile" class="hide-not-mobile toggle" name="toggle" type="radio">
//        <div class="toggled-menu">
//					<label for="hide-menu-mobile" class="hide-not-mobile toggle-hide"><span class="hide-content">close</span></label>
//        <section class="secondary-navigation-content">
;?>
					<?php // here content to hide or show ?>
		  	  <?php
//		  	     wp_nav_menu(
//		  	     	array(
//		  	     		'theme_location' => 'menu-2',
//		  	     		'menu_id'        => 'secondary-menu',
//		  	     	)
//		  	     );
//          ?>
<?php
//          </section>
//        </div><!--toggled-menu-->
//			</nav><!--secondary #site-navigation -->
;?>
			<?php the_header_image_tag(); // header image to show below menus before title ?>

    </div><!--secondary-->
	</header><!-- #masthead -->
