<?php
/**
 * The template for displaying the "ajuts" funds with search capabilities 
 *
 * Template Name: Ajuts actuals cercador 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>

<!-- page-templates funds-search-php -->
	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
    <section id="filteredfunds" class="xarxaprod-filtered-content xarxaprod-filtered-funds xarxaprod-ajuts-filtrats">
  
      <aside id="fundsfilter" class="xarxaprod-filter-funds xarxaprod-fitre-ajuts">
        <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'xarxaprod-wp-plugin/xarxaprod-wp-plugin.php' ) ) { // if plugin active do?> 
         <?php xarxaprod_ajuts_filters_form(); // function defined in the plugin ?>
        <?php  } //end if is_plugin_active ?>
      </aside>


    <content class="archive-posts archive-xarxaprod-fund archive-xarxapdor-ajut <?php //xarxaprod_class_posttype(); ?>">
<?php
    // https://support.advancedcustomfields.com/forums/topic/wp_query-using-meta_query-for-an-acf-checkbox-field/#post-145830
    // https://www.advancedcustomfields.com/resources/checkbox/#query-posts
    // https://barn2.com/blog/querying-posts-by-custom-field-acfi/

    $the_query_ajut = new WP_Query(
      array(
        'post_type'     => 'xarxaprod-ajut',
        'posts_per_page' => '-1',
        'meta_key'       => 'xxp_fund_apply_end', // order by meta key convo apply end
        'meta_query'     => array(
          array(    //filter results show only older than today
            'key'     => 'xxp_fund_apply_end',
            'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
            'compare' => '>=', //show events from today and later
            'type'    => 'DATE',
          )
        ),
        //https://developer.wordpress.org/reference/classes/wp_query/#order-orderby-parameters
        'orderby'   => 'meta_value', //order by meta value
        'order'     => 'ASC', //order ascendent
      )
    ); 
    ?>
    <?php if ( $the_query_ajut->have_posts() ) : ?>
      <?php while ( $the_query_ajut->have_posts() ) : $the_query_ajut->the_post(); ?>

       <?php get_template_part( 'template-parts/section', 'eachfund' ); ?>

      <?php endwhile;//end of the loop ?>
      <?php wp_reset_postdata(); ?>
    <?php endif; //end query ajut ?>
		</content>

	</section>

</main><!-- #main -->
 
<?php
get_sidebar();
get_footer();
