<?php
/**
 * The template for displaying the "convos" calls with search capabilities 
 *
 * Template Name: Arxiu general 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>
<!-- page-templates convos-search-php -->
  <main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
    <section id="filteredcalls" class="xarxaprod-filtered-content xarxaprod-filtered-content xarxaprod-filtered-calls xarxaprod-convos-filtrats">
  
      <aside id="callsfilter" class="xarxaprod-filter-calls xarxaprod-fitre-convos">
        <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'xarxaprod-wp-plugin/xarxaprod-wp-plugin.php' ) ) { // if plugin active do?> 
         <?php xarxaprod_convos_filters_form(); // function defined in the plugin ?>
        <?php  } //end if is_plugin_active ?>
      </aside>
  
     <?php
      // comparing dates
      // https://wordpress.stackexchange.com/a/12305
      $the_query_archive_convo = new WP_Query(
        array(
          'post_type'      => 'xarxaprod-convo',
          'order_by'       => 'meta_value', //order by meta value
          'meta_key'       => 'xxp_convo_apply_end', // order by meta key convo apply end
          'order'          => 'ASC', //order ascendent
          //'posts_per_page' => '-1', //show all
          'posts_per_page' => '4',
          'meta_query'     => array(
            array(    //filter results show only older than today
              'key'     => 'xxp_convo_apply_end', 
              'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
              'compare' => '<', //show events before today
              'type'    => 'DATE',
            )
          )
        )
      ); 
      ?>
      <?php if ( $the_query_archive_convo->have_posts() ) : ?>
      <content class="archive-posts archive-xarxaprod-convo <?php //xarxaprod_class_posttype(); ?>">
        <?php while ( $the_query_archive_convo->have_posts() ) : $the_query_archive_convo->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'eachconvo' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
  		</content>
      <?php endif; //end query convo ?>

    </section>


    <section id="filteredagenda" class="xarxaprod-filtered-content xarxaprod-filtered-agenda xarxaprod-activitats-filtrats category-agenda xarxaprod-activitats">

      <aside id="agendafilter" class="xarxaprod-filter-agenda xarxaprod-fitre-agenda">
        <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'xarxaprod-wp-plugin/xarxaprod-wp-plugin.php' ) ) { // if plugin active do?>
        <?php  } //end if is_plugin_active ?>
         <?php wp_nav_menu(
           array(
             'theme_location' => 'menu-3',
             'menu_id'        => 'agenda-menu',
           )
          ); ?>
      </aside>

     <?php
      $the_query_archive_agenda = new WP_Query(
        array(
          'post_type'      => 'post',
          'posts_per_page' => '4', //show all => -1
          'tax_query'      => array(
            array(
              'taxonomy'   => 'category',
              'field'      => 'slug',
              'terms'      => 'activitats'
            )
          ),
          'order_by'       => 'meta_value', //order by meta value
          //'meta_key'       => 'xxp_convo_apply_end', // order by meta key convo apply end
          'order'          => 'ASC', //order ascendent
          'meta_query'     => array(
            array(    //filter results show only older than today
              'key'     => 'xxp_agenda_date_end',
              'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
              'compare' => '<', //show events before today
              'type'    => 'DATE',
            )
          )
        )
      ); 
      ?>
      <?php if ( $the_query_archive_agenda->have_posts() ) : ?>
      <content class="archive-posts <?php //xarxaprod_class_posttype(); ?>">
        <?php while ( $the_query_archive_agenda->have_posts() ) : $the_query_archive_agenda->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'each-agenda-entry' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
      </content>
      <?php endif; //end query convo ?>
 
    </section>


  </main><!-- #main -->

<?php
get_footer();
