<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Xarxaprod_theme
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
    <h1 class="entry-title">
				<?php the_title(); ?>
    </h1>
  </header><!-- .entry-header -->
	<?php
	if ( 'post' === get_post_type() ) :
		?>
		 <?php if ( in_category('faq') ){ ?>
		<aside class="entry-meta">
		 <?php xarxaprod_display_each_faq_categories(); // display each faq category of the post as label ?>
    </aside><!-- .entry-meta -->
		<?php	}	;?>
  <?php endif; ?>
  <?php if ( in_category('activitats') ){ ?>
	<aside class="xarxaprod-activity-info xarxaprod-agenda-info">
    <ul>
     <li class="activity-organizer organiza-activitat">
     <?php if( get_field('xxp_agenda_free_text') ): ?>
       <p class="item-xxp-agenda-free-text">
         <?php the_field('xxp_agenda_free_text'); ?>
       </p>
     <?php endif; ?>
     </li>
     <?php if( get_field('xxp_agenda_date_start') || get_field('xxp_agenda_date_start') || get_field('xxp_agenda_free_text') ): ?>
     <li class="agenda-date agenda-data">
		   <p>
       <?php if( get_field('xxp_agenda_date_start') ){ ?>
         <span class="item-xxp-agenda-date-start">el <?php the_field('xxp_agenda_date_start'); ?></span>
       <?php } elseif ( get_field('xxp_agenda_date_end') ){ ?>
           <span class="item-xxp-agenda-date-end">fins al<?php the_field('xxp_agenda_date_end'); ?></span>
       <?php } elseif ( get_field('xxp_agenda_free_text') ){?>
           <span class="item-xxp-agenda-free-text"><?php the_field('xxp_agenda_free_text'); ?></span>
       <?php }; ?>
		   </p>
      </li>
     <?php endif; ?>
    </ul>
  </aside>
	<?php }; ?>
	<main class="entry-content">
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'xarxaprod' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'xarxaprod' ),
				'after'  => '</div>',
			)
		);
		?>
	</main><!-- .entry-content -->

	<footer class="entry-footer">
		<?php //xarxaprod_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
